Self-contained WebGL 2 viewer HTML template for the CLI view command.
Features: progressive geometry streaming via @ifc-lite/wasm, edge-enhanced
rendering (dFdx/dFdy normal discontinuity detection), a distance-faded
ground grid, section plane clipping, an orbit camera with smooth inertia,
GPU color-ID entity picking, live geometry addition (addGeometry), and the
full command API (colorize, isolate, xray, highlight, section, etc).
Communication: CLI to browser over Server-Sent Events (/events); browser
to CLI via POST /api/command.
Self-contained WebGL 2 viewer HTML template for the CLI
viewcommand.Features: progressive geometry streaming via @ifc-lite/wasm, edge-enhanced rendering (dFdx/dFdy normal discontinuity detection), a distance-faded ground grid, section plane clipping, an orbit camera with smooth inertia, GPU color-ID entity picking, live geometry addition (addGeometry), and the full command API (colorize, isolate, xray, highlight, section, etc).
Communication: CLI to browser over Server-Sent Events (/events); browser to CLI via POST /api/command.